<?xml version="1.0" encoding="utf-8"?>
<definitions xmlns:s="http://www.w3.org/2001/XMLSchema" xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" xmlns:tm="http://microsoft.com/wsdl/mime/textMatching/" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:s0="http://tempuri.org/" targetNamespace="http://tempuri.org/" xmlns="http://schemas.xmlsoap.org/wsdl/">
  <types>
    <s:schema attributeFormDefault="qualified" elementFormDefault="qualified" targetNamespace="http://tempuri.org/">
      <s:import namespace="http://www.w3.org/2001/XMLSchema" />
      <s:element name="Populate">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="SQL" nillable="true" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="PopulateResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="PopulateResult" nillable="true">
              <s:complexType>
                <s:sequence>
                  <s:element ref="s:schema" />
                  <s:any />
                </s:sequence>
              </s:complexType>
            </s:element>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="RunSQL">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="vsql" nillable="true" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="RunSQLResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="RunSQLResult" nillable="true" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="DataSet" nillable="true">
        <s:complexType>
          <s:sequence>
            <s:element ref="s:schema" />
            <s:any />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="string" nillable="true" type="s:string" />
    </s:schema>
  </types>
  <message name="PopulateSoapIn">
    <part name="parameters" element="s0:Populate" />
  </message>
  <message name="PopulateSoapOut">
    <part name="parameters" element="s0:PopulateResponse" />
  </message>
  <message name="RunSQLSoapIn">
    <part name="parameters" element="s0:RunSQL" />
  </message>
  <message name="RunSQLSoapOut">
    <part name="parameters" element="s0:RunSQLResponse" />
  </message>
  <message name="PopulateHttpGetIn">
    <part name="SQL" type="s:string" />
  </message>
  <message name="PopulateHttpGetOut">
    <part name="Body" element="s0:DataSet" />
  </message>
  <message name="RunSQLHttpGetIn">
    <part name="vsql" type="s:string" />
  </message>
  <message name="RunSQLHttpGetOut">
    <part name="Body" element="s0:string" />
  </message>
  <message name="PopulateHttpPostIn">
    <part name="SQL" type="s:string" />
  </message>
  <message name="PopulateHttpPostOut">
    <part name="Body" element="s0:DataSet" />
  </message>
  <message name="RunSQLHttpPostIn">
    <part name="vsql" type="s:string" />
  </message>
  <message name="RunSQLHttpPostOut">
    <part name="Body" element="s0:string" />
  </message>
  <portType name="dbServiceSoap">
    <operation name="Populate">
      <input message="s0:PopulateSoapIn" />
      <output message="s0:PopulateSoapOut" />
    </operation>
    <operation name="RunSQL">
      <input message="s0:RunSQLSoapIn" />
      <output message="s0:RunSQLSoapOut" />
    </operation>
  </portType>
  <portType name="dbServiceHttpGet">
    <operation name="Populate">
      <input message="s0:PopulateHttpGetIn" />
      <output message="s0:PopulateHttpGetOut" />
    </operation>
    <operation name="RunSQL">
      <input message="s0:RunSQLHttpGetIn" />
      <output message="s0:RunSQLHttpGetOut" />
    </operation>
  </portType>
  <portType name="dbServiceHttpPost">
    <operation name="Populate">
      <input message="s0:PopulateHttpPostIn" />
      <output message="s0:PopulateHttpPostOut" />
    </operation>
    <operation name="RunSQL">
      <input message="s0:RunSQLHttpPostIn" />
      <output message="s0:RunSQLHttpPostOut" />
    </operation>
  </portType>
  <binding name="dbServiceSoap" type="s0:dbServiceSoap">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" style="document" />
    <operation name="Populate">
      <soap:operation soapAction="http://tempuri.org/Populate" style="document" />
      <input>
        <soap:body use="literal" />
      </input>
      <output>
        <soap:body use="literal" />
      </output>
    </operation>
    <operation name="RunSQL">
      <soap:operation soapAction="http://tempuri.org/RunSQL" style="document" />
      <input>
        <soap:body use="literal" />
      </input>
      <output>
        <soap:body use="literal" />
      </output>
    </operation>
  </binding>
  <binding name="dbServiceHttpGet" type="s0:dbServiceHttpGet">
    <http:binding verb="GET" />
    <operation name="Populate">
      <http:operation location="/Populate" />
      <input>
        <http:urlEncoded />
      </input>
      <output>
        <mime:mimeXml part="Body" />
      </output>
    </operation>
    <operation name="RunSQL">
      <http:operation location="/RunSQL" />
      <input>
        <http:urlEncoded />
      </input>
      <output>
        <mime:mimeXml part="Body" />
      </output>
    </operation>
  </binding>
  <binding name="dbServiceHttpPost" type="s0:dbServiceHttpPost">
    <http:binding verb="POST" />
    <operation name="Populate">
      <http:operation location="/Populate" />
      <input>
        <mime:content type="application/x-www-form-urlencoded" />
      </input>
      <output>
        <mime:mimeXml part="Body" />
      </output>
    </operation>
    <operation name="RunSQL">
      <http:operation location="/RunSQL" />
      <input>
        <mime:content type="application/x-www-form-urlencoded" />
      </input>
      <output>
        <mime:mimeXml part="Body" />
      </output>
    </operation>
  </binding>
  <service name="dbService">
    <port name="dbServiceSoap" binding="s0:dbServiceSoap">
      <soap:address location="http://localhost/CSharpdbService/dbService.asmx" />
    </port>
    <port name="dbServiceHttpGet" binding="s0:dbServiceHttpGet">
      <http:address location="http://localhost/CSharpdbService/dbService.asmx" />
    </port>
    <port name="dbServiceHttpPost" binding="s0:dbServiceHttpPost">
      <http:address location="http://localhost/CSharpdbService/dbService.asmx" />
    </port>
  </service>
</definitions>